from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XSlideShowController(Protocol):
    def isRunning(self) -> bool: ...
    def getSlideCount(self) -> int: ...
    def addSlideShowListener(self, Listener: XSlideShowListener) -> None: ...
    def removeSlideShowListener(self, Listener: XSlideShowListener) -> None: ...
    def gotoNextEffect(self) -> None: ...
    def gotoPreviousEffect(self) -> None: ...
    def gotoFirstSlide(self) -> None: ...
    def gotoNextSlide(self) -> None: ...
    def gotoPreviousSlide(self) -> None: ...
    def gotoLastSlide(self) -> None: ...
    def gotoBookmark(self, Bookmark: str) -> None: ...
    def gotoSlideIndex(self, Index: int) -> None: ...
    def stopSound(self) -> None: ...
    def pause(self) -> None: ...
    def resume(self) -> None: ...
    def isPaused(self) -> bool: ...
    def blankScreen(self, Color: int) -> None: ...
    def activate(self) -> None: ...
    def deactivate(self) -> None: ...
    def isActive(self) -> bool: ...
    def getCurrentSlide(self) -> XDrawPage: ...
    def getCurrentSlideIndex(self) -> int: ...
    def getNextSlideIndex(self) -> int: ...
    def isEndless(self) -> bool: ...
    def isFullScreen(self) -> bool: ...
    def setEraseAllInk(self, EraseAllInk: bool) -> None: ...
    def getSlideShow(self) -> XSlideShow: ...
